Support » Plugin: The Events Calendar » Please, please test your updates before posting

  • ddrevik

    (@ddrevik)



    For the second time in a year, I’ve updated The Events Calendar Pro and BANG – my website is down due to a line error.

    I’ve deleted the entire plug-in through my file manager, and will now wait until the inevitable update-update shows up.

    Come on guys. Testing and QA please.

    You have a great product and I give it 5-stars. But you lose two because every year like clockwork you crash my site.

Viewing 1 replies (of 1 total)
  • Plugin Contributor nicosantos

    (@nicosantos)

    Thanks for reaching out and really sorry to hear about this issue affecting your sites. This has already been fixed in a quick hotfix release (and we also backported the fix to earlier release 4.6.14).

    Let me add a note about our quality assurance process for maintenance releases: we actually do manual plugin activation tests, which means testing the update/activation order of the plugins (both open source and premium). While this gives us more coverage, sometimes things slip through the cracks. In this particular case the oversight was related to the PHP version used in said testing. As a follow-up measure we are changing our process to ensure a wider setup coverage, specifically PHP versions.

    Thanks once again for the report and for keeping us real regarding our quality processes.

    Best,
    Nico

Viewing 1 replies (of 1 total)
  • The topic ‘Please, please test your updates before posting’ is closed to new replies.